htsjdk (3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.5+dfsg
  * Refreshing patches
  * Skipping more tests needing the network

 -- Pierre Gruet <pgt@debian.org>  Tue, 20 Jun 2023 14:46:10 +0200

htsjdk (3.0.4+dfsg-2) unstable; urgency=high

  * Team upload.
  * debian/tests/control: Restrict all tests to architectures supported by
    sra-sdk, which subsumed ngs-sdk: amd64 and arm64.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 23 Jan 2023 22:16:14 -0500

htsjdk (3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.4+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Tue, 27 Dec 2022 20:25:59 +0100

htsjdk (3.0.2+dfsg-1) unstable; urgency=medium

  * Adding missing DEP-3 headers to patches
  * Forwarding patches

 -- Pierre Gruet <pgt@debian.org>  Thu, 03 Nov 2022 20:54:49 +0100

htsjdk (3.0.2+dfsg-1~exp0) experimental; urgency=medium

  * New upstream version 3.0.2+dfsg
  * Refreshing patches
  * Raising Standards version to 4.6.1 (no change)
  * Updating d/watch after a change in Github layout
  * Updating the POM file and its signature
  * Depending on libmjson-java instead of libjson-simple-java
  * Installing the javadoc in /usr/share/doc/libhtsjdk-java/
  * Updating the Lintian override related to embedded JS after a change in
    Lintian syntax
  * Passing long instead of int in HtsCRAMCodec30And21QueryTest
  * Excluding new tests requiring the network
  * Deactivating testFlushNotSpammed which seems to be GC-dependent
  * Using rhino instead of nashorn as JS engine, to build against openjdk-17

 -- Pierre Gruet <pgt@debian.org>  Tue, 01 Nov 2022 17:37:52 +0100

htsjdk (2.24.1+dfsg-3) unstable; urgency=medium

  * Restricting the architectures set to run pilon-related autopkgtest, based
    on the actual tests run in the pilon package

 -- Pierre Gruet <pgt@debian.org>  Sat, 05 Mar 2022 07:33:09 +0100

htsjdk (2.24.1+dfsg-2) unstable; urgency=medium

  * Adding eight autopkgtests to test reverse-dependencies when upgrading
    htsjdk (Closes: #920588)

 -- Pierre Gruet <pgt@debian.org>  Fri, 04 Mar 2022 22:53:22 +0100

htsjdk (2.24.1+dfsg-1) unstable; urgency=medium

  [ Olivier Sallou ]
  * lintian fixes in d/patches

  [ Pierre Gruet ]
  * New upstream version 2.24.1+dfsg
  * Setting Standards version to 4.6.0 (no change)
  * Refreshing d/copyright
  * Refreshing poms
  * Refreshing patches
  * Skipping more tests using http
  * Refreshing classpath of the build jar
  * Updating dependencies list
  * Using json-simple instead of unpackaged mjson
  * Adding myself as uploader
  * Removing default gbp.conf file
  * Adding a Lintian override for the embedded Javascript
  * Marking the -doc package as Multi-Arch: foreign
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Forwarding patches
  * Adding description of patch 120-fix-build.patch
  * Refreshing libhtsjdk-java.README.Debian

 -- Pierre Gruet <pgt@debian.org>  Tue, 23 Nov 2021 22:03:25 +0100

htsjdk (2.23.0+dfsg-2) unstable; urgency=medium

  * source-only upload

 -- Olivier Sallou <osallou@debian.org>  Tue, 22 Sep 2020 13:14:11 +0000

htsjdk (2.23.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 10 Sep 2020 17:20:43 +0200

htsjdk (2.22.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 29 May 2020 11:08:17 +0000

htsjdk (2.18.2+dfsg-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Disabled the java/htsjdk/samtools/util/HttpUtilsTest test,
    requires network access.
    Closes: #923539

 -- Andreas Tille <tille@debian.org>  Fri, 01 Mar 2019 23:04:57 +0100

htsjdk (2.18.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

  [ Olivier Sallou ]
  * d/p/110-debian-lib-version.patch: use scala-library 2.11,
    v2.12 not yet in Debian
  * fix some reflection tests issues with testng

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 17:31:54 +0100

htsjdk (2.16.1+dfsg-3) unstable; urgency=medium

  * Fix FTBS on debian test servers due to ip/name resolution
    Remove related test. Closes: #913839

 -- Olivier Sallou <osallou@debian.org>  Fri, 16 Nov 2018 11:06:41 +0000

htsjdk (2.16.1+dfsg-2) unstable; urgency=medium

  * Fix FTBS with OpenJDK 11 (Closes: #913566)

 -- Olivier Sallou <osallou@debian.org>  Mon, 12 Nov 2018 15:38:32 +0000

htsjdk (2.16.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.1
  * Skip test requiring http connection
  * d/rules: Respect DEB_BUILD_OPTIONS in override_dh_auto_test

  [ Olivier Sallou ]
  * Skip test requiring ftp connection

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 08:11:13 +0200

htsjdk (2.14.3+dfsg-3) unstable; urgency=medium

  * Reintroduce unit tests after jcommander fix

 -- Olivier Sallou <osallou@debian.org>  Mon, 06 Aug 2018 07:03:33 +0000

htsjdk (2.14.3+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Bumped versioned Build-Depends on default-jdk

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 07:53:54 +0200

htsjdk (2.14.3+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #894289
  * cme fix dpkg-control
  * Standards-Version: 4.1.4
  * Point Vcs-fields to salsa.d.o
  * Update d/copyright
  * d/rules: fix get-poms target
  * Use 2to3 to convert Python script to Python3

  [ Olivier Sallou ]
  * d/patches/30-disable-scalatest.patch
    Disable scala testing as scalatest is not available in Debian yet
  * d/rules
  * Fix JDK9 with --add-modules java.xml.bind in javadoc generation
  * Fix javadoc generation

  [TODO - O. Sallou in progress]
  * Reintroduce unit tests now that gradle 3.4 is available in sid
    - [done] new patch added for latest upstream, referencing junit classes
    - [done] added testng() call in build.gradle with a patch and set test
             call in d/rules back
    - testng fails now with jcommander classnotfound exception, this is a
      testng bug (#895886: testng: jcommander classes not found), wait to
      be fixed to enable tests in d/rules

 -- Andreas Tille <tille@debian.org>  Tue, 17 Apr 2018 15:14:40 +0200

htsjdk (2.8.1+dfsg-2) unstable; urgency=medium

  * d/patches/50-fix-build.patch, d/rules: fix testng declaration and disable
    unit testing due to gradle bug that will be fixed by gradle 3.4
    => lower severity of #877590

 -- Olivier Sallou <osallou@debian.org>  Wed, 01 Nov 2017 09:25:25 +0000


htsjdk (2.8.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #847736
  * debhelper 10
  * d/watch: version=4

  [ Vincent Danjean ]
  * Add junit4 to Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2016 12:40:37 +0100

htsjdk (2.7.0+dfsg-2) unstable; urgency=medium

  * Fix mess in this changelog (the previous upload is missing the
    2.6.1+dfsg-1 entry)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 27 Nov 2016 21:14:49 +0100

htsjdk (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 16 Nov 2016 21:16:10 +0100

htsjdk (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 08:10:12 +0200

htsjdk (2.5.0+dfsg.2-2) unstable; urgency=medium

  [ Vincent Danjean ]
  * Tweak build-dependencies

  [ Andreas Tille ]
  * Remove some more tests needing http or ftp connections
    Closes: #830298

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 19:11:39 +0200

htsjdk (2.5.0+dfsg.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Take over change from debian/jessie-backports branch to successfully obtain
    JAVA_HOME
  * Bump Standards-Version to 3.9.8
  * Simplified watch file

  [ Vincent Danjean ]
  * Skip tests checking the use of the local zip implementation
  * Adaptation to the new gradle build system
  * Rework debian/copyright (new source layout)
  * Add a maven2 pom file for htsjdk

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 07 Jul 2016 00:12:44 +0200

htsjdk (2.1.1+dfsg.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Make sure repackaged tarball is compressed with xz

  [ Vincent Danjean ]
  * New upstream version
  * Bump Standard-Version to 3.9.7
  * Switch back to default-jdk now that it is >= 1.8

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 14 Mar 2016 22:13:50 +0100

htsjdk (2.0.1+dfsg.1-1) unstable; urgency=medium

  * New upstream version
  * remove network tests (Closes: #808593)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Feb 2016 08:28:50 +0100

htsjdk (1.138+dfsg.1-4) unstable; urgency=medium

  * rename (again) the source package, as htsjdk (1.138+dfsg.1-2) passed
    the NEW queue. Both name (htsjdk and libhtsjdk-java) are acceptable,
    so continuing with the one accepted by the FTP team.

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 19 Dec 2015 21:30:58 +0100

libhtsjdk-java (1.138+dfsg.1-3) unstable; urgency=medium

  * Dump minor debian version part. Even if htsjdk source packages have been
    rejected from tyhe NEW queue as requested by ftpmaster, the binary packages
    have been registered and a conflict occured:
    "libhtsjdk-java_1.138+dfsg.1-1_all.deb: Does not match binary in database."
  * Really Closes: #798201

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Sep 2015 12:23:11 +0200

libhtsjdk-java (1.138+dfsg.1-1) unstable; urgency=medium

  * as Andreas Tille suggestions:
    + removed Shaun Jackman from Uploaders (can be added back if required)
    + rename source package from htsjdk to libhtsjdk-java (Closes: #798201)
    + fix a typo in README.Debian

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Sep 2015 10:10:37 +0200

htsjdk (1.138+dfsg.1-2) unstable; urgency=medium

  * Fix version in MANIFEST

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Sep 2015 01:31:14 +0200

htsjdk (1.138+dfsg.1-1) unstable; urgency=medium

  * Upstream split from picard-tools
  * Initial release. Closes: #798201.

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 06 Sep 2015 01:06:42 +0200
